FactoryConfigurationError (Java SE 21 & JDK 21)
Description: declaration: module: java.xml, package: javax.xml.parsers, class: FactoryConfigurationError
Keywords: javax.xml.parsers.FactoryConfigurationError class

Module java.xml
Package javax.xml.parsers

# Class FactoryConfigurationError

java.lang.Object
java.lang.Throwable
java.lang.Error
javax.xml.parsers.FactoryConfigurationError

All Implemented Interfaces:
  `Serializable`

public class FactoryConfigurationError extends Error
Thrown when a problem with configuration with the Parser Factories exists. This error will typically be thrown when the class of a parser factory specified in the system properties cannot be found or instantiated.

Since:
  1.4
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FactoryConfigurationError()`
  Create a new `FactoryConfigurationError` with no detail message.
  `FactoryConfigurationError(Exception e)`
  Create a new `FactoryConfigurationError` with a given `Exception` base cause of the error.
  `FactoryConfigurationError(Exception e, String msg)`
  Create a new `FactoryConfigurationError` with the given `Exception` base cause and detail message.
  `FactoryConfigurationError(String msg)`
  Create a new `FactoryConfigurationError` with the `String` specified as an error message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Throwable`
  `getCause()`
  use the exception chaining mechanism of JDK1.4
  `Exception`
  `getException()`
  Return the actual exception (if any) that caused this exception to be raised.
  `String`
  `getMessage()`
  Return the message (if any) for this error .

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FactoryConfigurationError

    public FactoryConfigurationError()
    Create a new `FactoryConfigurationError` with no detail message.

  - ### FactoryConfigurationError

    public FactoryConfigurationError(String msg)
    Create a new `FactoryConfigurationError` with the `String` specified as an error message.
    Parameters:
      `msg` - The error message for the exception.

  - ### FactoryConfigurationError

    public FactoryConfigurationError(Exception e)
    Create a new `FactoryConfigurationError` with a given `Exception` base cause of the error.
    Parameters:
      `e` - The exception to be encapsulated in a FactoryConfigurationError.

  - ### FactoryConfigurationError

    public FactoryConfigurationError(Exception e, String msg)
    Create a new `FactoryConfigurationError` with the given `Exception` base cause and detail message.
    Parameters:
      `e` - The exception to be encapsulated in a FactoryConfigurationError
      `msg` - The detail message.

- ## Method Details

  - ### getMessage

    public String getMessage()
    Return the message (if any) for this error . If there is no message for the exception and there is an encapsulated exception then the message of that exception, if it exists will be returned. Else the name of the encapsulated exception will be returned.
    Overrides:
      `getMessage` in class `Throwable`
    Returns:
      The error message.

  - ### getException

    public Exception getException()
    Return the actual exception (if any) that caused this exception to be raised.
    Returns:
      The encapsulated exception, or null if there is none.

  - ### getCause

    public Throwable getCause()
    use the exception chaining mechanism of JDK1.4
    Overrides:
      `getCause` in class `Throwable`
    Returns:
      the cause of this throwable or `null` if the cause is nonexistent or unknown.